## org.apache.poi.hwpf.usermodel
Class FieldsImpl

    java.lang.Object
      org.apache.poi.hwpf.usermodel.FieldsImpl

All Implemented Interfaces:
  Fields

    @Internal
    public class FieldsImpl

extends java.lang.Object
implements Fields

Default implementation of `Field`

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Constructor Summary
`FieldsImpl(FieldsTables fieldsTables)`

Method Summary
`org.apache.poi.hwpf.usermodel.FieldImpl` `getFieldByStartOffset(FieldsDocumentPart documentPart, int offset)`
`java.util.Collection<Field>` `getFields(FieldsDocumentPart part)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldsImpl

    public FieldsImpl(FieldsTables fieldsTables)

Method Detail

### getFields

    public java.util.Collection<Field> getFields(FieldsDocumentPart part)

  Specified by:
    `getFields` in interface `Fields`

### getFieldByStartOffset

    public org.apache.poi.hwpf.usermodel.FieldImpl getFieldByStartOffset(FieldsDocumentPart documentPart,
                                                                         int offset)

  Specified by:
    `getFieldByStartOffset` in interface `Fields`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.